Bug 1469372 - [Text] [VM Provision] - 'Virtual Machine %{subject} has been provisioned.'
Summary: [Text] [VM Provision] - 'Virtual Machine %{subject} has been provisioned.'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.8.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Joe Rafaniello
QA Contact: Ganesh Hubale
URL:
Whiteboard: notification
: 1511371 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-11 06:49 UTC by Michael Burman
Modified: 2019-02-07 23:02 UTC (History)
12 users (show)

Fixed In Version: 5.10.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:36 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
screenshot (13.10 KB, image/png)
2017-07-11 06:49 UTC, Michael Burman
no flags Details
evm log (3.78 MB, application/x-gzip)
2017-07-11 06:51 UTC, Michael Burman
no flags Details
screenshot2 (49.32 KB, image/png)
2017-07-20 10:11 UTC, Michael Burman
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:47 UTC

Description Michael Burman 2017-07-11 06:49:45 UTC
Created attachment 1296097 [details]
screenshot

Description of problem:
[Text] [VM Provision] -  'Virtual Machine %{subject} has been provisioned.'

The VM's name is %{subject} instead of it's real name in the event notification after provisioned is done.  

Version-Release number of selected component (if applicable):
5.8.1.0.20170623170756_3ed4411

Comment 2 Michael Burman 2017-07-11 06:51:20 UTC
Created attachment 1296098 [details]
evm log

Comment 3 Dave Johnson 2017-07-18 21:11:00 UTC
Leo, you seen this?  We should be checking these and have some tests or assertions around them

Comment 6 Michael Burman 2017-07-20 10:11:49 UTC
Created attachment 1301655 [details]
screenshot2

Comment 7 William Fitzgerald 2017-08-17 19:15:30 UTC
Leo,

Curious if you made any progress on this. 
Please let me know. 

Thanks

Billy

Comment 9 Tina Fitzgerald 2017-12-20 21:50:36 UTC
Hi Gregg,

This is an odd case where the VM existed when we created the notification, but gets removed afterwards. Is there anything that can be done for the scenario where the %{subject} has been removed? 

Thanks,
Tina

Comment 11 Joe Rafaniello 2018-08-16 20:47:37 UTC
*** Bug 1511371 has been marked as a duplicate of this bug. ***

Comment 13 CFME Bot 2018-08-21 14:31:19 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/e587c5cf195043402d911ad57b024fedb752d50b
commit e587c5cf195043402d911ad57b024fedb752d50b
Author:     Joe Rafaniello <jrafanie@redhat.com>
AuthorDate: Thu Aug 16 16:42:30 2018 -0400
Commit:     Joe Rafaniello <jrafanie@redhat.com>
CommitDate: Thu Aug 16 16:42:30 2018 -0400

    Backup subject's name in case subject is removed

    Fixes a bug where notifications look like the following if the subject
    vm has been removed:

    'Virtual Machine %{subject} has been provisioned.'

    https://bugzilla.redhat.com/show_bug.cgi?id=1469372

 app/models/notification.rb | 11 +
 spec/models/notification_spec.rb | 38 +
 2 files changed, 49 insertions(+)

Comment 14 Ganesh Hubale 2018-11-16 10:28:25 UTC
Fixed!

Verifying on version: 5.10.0.24.20181113213923_03b81fd 

No error occurred in notification message after deleting 'provision request' and 'VM' from database(vmdb).

Comment 16 errata-xmlrpc 2019-02-07 23:02:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.